cURL
curl "https://api.ionq.co/v0.3/backends"
import requests
url = "https://api.ionq.co/v0.3/backends"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.3/backends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.3/backends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.3/backends"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.3/backends")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.3/backends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"backend": "qpu.aria-1",
"status": "available",
"average_queue_time": 1181215,
"last_updated": 1490932820,
"degraded": false,
"characterization_url": "/characterizations/617a1f8b-59d4-435d-aa33-695433d7155e"
}Backends
Get Backends
Retrieve a list of all available backends.
GET
/
backends
cURL
curl "https://api.ionq.co/v0.3/backends"
import requests
url = "https://api.ionq.co/v0.3/backends"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.3/backends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.3/backends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.3/backends"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.3/backends")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.3/backends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"backend": "qpu.aria-1",
"status": "available",
"average_queue_time": 1181215,
"last_updated": 1490932820,
"degraded": false,
"characterization_url": "/characterizations/617a1f8b-59d4-435d-aa33-695433d7155e"
}Query Parameters
What the system is currently doing. Note that regardless of system status, you can always submit jobs for execution.
runningThe system is running jobs.reservedThe system is reserved by a single customer. It will resume regular execution after the reservation is complete.calibratingThe system is currently calibrating and will resume regular execution when calibration is complete.offlineThe system is currently offline and not processing jobs.
Please refer to https://status.ionq.co/ for more information.
Available options:
verbose Response
200 - application/json
Successfully retrieved backends.
A list of backends you can target your program to run on.
Current availability.
Please refer to https://status.ionq.co/ for more information.
Available options:
available, unavailable Was this page helpful?

